Bug 243072 - deskutils/shutter: Remove BROKEN, Update to 0.94.3
Summary: deskutils/shutter: Remove BROKEN, Update to 0.94.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Nicola Vitale
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-01-04 02:38 UTC by ktullavik
Modified: 2020-03-27 12:14 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (nivit)
koobs: merge-quarterly?


Attachments
Diff (3.45 KB, patch)
2020-01-04 02:38 UTC, ktullavik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ktullavik 2020-01-04 02:38:08 UTC
Created attachment 210430 [details]
Diff

Unbreak and update to 0.94.3.

CVE-2015-0854 was fixed upstream, so remove patch.
https://bugs.launchpad.net/shutter/+bug/1495163
Comment 1 Automation User 2020-01-19 04:03:38 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/110493157
Comment 2 Max Brazhnikov freebsd_committer 2020-03-27 12:11:27 UTC
Committed, thanks for fix!
Comment 3 commit-hook freebsd_committer 2020-03-27 12:14:26 UTC
A commit references this bug:

Author: makc
Date: Fri Mar 27 12:10:29 UTC 2020
New revision: 529241
URL: https://svnweb.freebsd.org/changeset/ports/529241

Log:
  deskutils/shutter:
  - Unbreak by updating to 0.94.3
  - CVE-2015-0854 was fixed upstream, so remove stale patch
  - while here, arrange Makefile: utilize options helpers, sort variables, etc

  PR:		243072
  Submitted by:	ktullavik@gmail.com
  Approved by:	maintainer timeout (3 months)

Changes:
  head/deskutils/shutter/Makefile
  head/deskutils/shutter/distinfo
  head/deskutils/shutter/files/
  head/deskutils/shutter/pkg-plist